package com.app.kemenhub.jakbanapps.db;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT. Enable "keep" sections if you want to edit. 
/**
 * Entity mapped to table "FILE".
 */
public class file {

    private Long id;
    private String folder_id;
    private String permalink;
    private String file;
    private String ext;
    private String title;
    private String size;
    private String status;

    public file() {
    }

    public file(Long id) {
        this.id = id;
    }

    public file(Long id, String folder_id, String permalink, String file, String ext, String title, String size, String status) {
        this.id = id;
        this.folder_id = folder_id;
        this.permalink = permalink;
        this.file = file;
        this.ext = ext;
        this.title = title;
        this.size = size;
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFolder_id() {
        return folder_id;
    }

    public void setFolder_id(String folder_id) {
        this.folder_id = folder_id;
    }

    public String getPermalink() {
        return permalink;
    }

    public void setPermalink(String permalink) {
        this.permalink = permalink;
    }

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getExt() {
        return ext;
    }

    public void setExt(String ext) {
        this.ext = ext;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
